<template>
	<uni-popup ref="daoTipPopup" type="bottom" :is-mask-click="false">
		<view class="dao-popup-box">
			<view class="dao-popup-img" :style="{backgroundImage: 'url(' + productTip + ')'}"></view>
			<view class="dao-popup-btn" @click="handleClose"></view>
		</view>
	</uni-popup>
</template>

<script setup>
	import {ref} from "vue";
	const props = defineProps({
	  productTip: {
	    type: String,
	    default: ''
	  },
	});
	const daoTipPopup = ref(null);
	const $emit = defineEmits(['dao-tip-close'])
	function handleShow() {
		daoTipPopup.value.open();
	}
	function handleClose() {
		daoTipPopup.value.close();
		$emit('dao-tip-close');
	}
	
	defineExpose({
		handleShow
	})
</script>

<style>
</style>